Subject: Re: bug#35409: 27.0.50; Emacs master can't be built in Win 10

From: Shuguang Sun <[email-masked]>
Date: Sun, 28 Apr 2019 23:47:26 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Shuguang Sun <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 25 Apr 2019 09:16:07 +0800
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Thanks, can you also show the results of xbacktrace?
>> >
>> > Also, when did you build the master branch before this time?
>> >
>> 
>> This is my current Emacs:
>> In GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32)
>>  of 2019-04-14 built on RSHMX11052
>> Repository revision: d209d646220bf1967e12d2de5c37b2be82e29835
>
> I suspect the changes made in 23a82cb.  Can you try reverting that
> commit?
>

I switch to e712a8fe09 and it has the same error. Maybe I'm wrong, not so familiar with git.

>> I'm on a trip. Will try to provide xbacktrace later.
>
> Thanks.
>
>
>
>

Below is the xbacktrace output:

--8<---------------cut here---------------start------------->8---
(gdb) source .gdbinit
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
TERM = xterm
Breakpoint 1 at 0x4001ea8f3: file emacs.c, line 375.
(gdb) xbacktrace
[New Thread 39328.0xf86c]
"condition-case" (0xbf62b8)
"subregexp-context-p" (0xbf6410)
"and" (0xbf6608)
"if" (0xbf6738)
"while" (0xbf6878)
"let" (0xbf6a18)
"progn" (0xbf6b38)
"unwind-protect" (0xbf6c68)
"let" (0xbf6df8)
"regexp-opt-depth" (0xbf6f50)
"+" (0xbf7118)
"setq" (0xbf7258)
"let*" (0xbf73c8)
0x3b4ac60 Lisp type 3
"mapconcat" (0xbf7730)
"let*" (0xbf7898)
0x392c110 Lisp type 3
"macroexpand" (0xbf7bd0)
"let" (0xbf7d58)
"macroexp-macroexpand" (0xbf7eb0)
"setq" (0xbf80b8)
"if" (0xbf81e8)
"macroexp--expand-all" (0xbf8340)
"if" (0xbf84f8)
"progn" (0xbf8618)
"setq" (0xbf8758)
"while" (0xbf8898)
"let*" (0xbf8a08)
"macroexp--all-forms" (0xbf8b60)
"if" (0xbf8d18)
"let" (0xbf8ea8)
0x3b454b0 Lisp type 3
"funcall" (0xbf90a0)
"cond" (0xbf91f8)
"let*" (0xbf9368)
"cond" (0xbf9498)
"let*" (0xbf9608)
"if" (0xbf96f8)
"let*" (0xbf9868)
"cond" (0xbf9998)
"let*" (0xbf9b08)
"if" (0xbf9bf8)
"let*" (0xbf9d68)
"if" (0xbf9e98)
"macroexp--expand-all" (0xbf9ff0)
"if" (0xbfa1a8)
"progn" (0xbfa2c8)
"setq" (0xbfa408)
"while" (0xbfa548)
"let*" (0xbfa6b8)
"macroexp--all-forms" (0xbfa810)
"macroexp--cons" (0xbfaa68)
"macroexp--cons" (0xbfabf8)
"let" (0xbfad88)
"if" (0xbfae78)
"let*" (0xbfafe8)
"if" (0xbfb0d8)
"let*" (0xbfb248)
"if" (0xbfb338)
"let*" (0xbfb4a8)
"if" (0xbfb598)
"let*" (0xbfb708)
"cond" (0xbfb838)
"let*" (0xbfb9a8)
"if" (0xbfba98)
"let*" (0xbfbc08)
"if" (0xbfbd38)
"macroexp--expand-all" (0xbfbe90)
"if" (0xbfc048)
"progn" (0xbfc168)
"setq" (0xbfc2a8)
"while" (0xbfc3e8)
"let*" (0xbfc558)
"macroexp--all-forms" (0xbfc6b0)
"if" (0xbfc868)
"let" (0xbfc9f8)
0x3b09810 Lisp type 3
"funcall" (0xbfcbf0)
"cond" (0xbfcd48)
"let*" (0xbfceb8)
"if" (0xbfcfa8)
"let*" (0xbfd118)
"if" (0xbfd248)
"macroexp--expand-all" (0xbfd3a0)
"let" (0xbfd5f8)
"macroexpand-all" (0xbfd750)
"if" (0xbfd908)
"let" (0xbfda98)
"condition-case" (0xbfdc08)
"cond" (0xbfdd38)
"internal-macroexpand-for-load" (0xbfdf18)
"eval-buffer" (0xbfe170)
"let" (0xbfe308)
"unwind-protect" (0xbfe438)
"let*" (0xbfe5a8)
"if" (0xbfe6d8)
"load-with-code-conversion" (0xbfe8b8)
"load" (0xbfeec0)
"load" (0xbff620)
(gdb)
--8<---------------cut here---------------end--------------->8---

-- 
Best Regards
Shuguang Sun